classification
Title: Remove redundant checks in PyUnicode_EncodeLocale and PyUnicode_DecodeLocaleAndSize
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: python-dev, serhiy.storchaka, vstinner, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-10-14 09:28 by xiang.zhang, last changed 2016-10-23 12:42 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
issue28349.patch xiang.zhang, 2016-10-16 17:12 review
Messages (3)
msg279138 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-21 15:50
Added comments on Rietveld.

Xiang, seem you have provided wrong e-mail address for Rietveld. I constantly get error messages "Undelivered Mail Returned to Sender" after pushing comments to patches that your are following. I suppose you don't receive Rietveld notifications.
msg279143 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-10-21 17:43
Thanks for your review Serhiy.

I don't receive the notification. :-( Honestly speaking I miss some notification emails from time to time, but not all. I'll consider choosing another ISP. I have to manually check the Rietveld now to avoid missing any comments.
msg279257 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-23 12:42
New changeset 94d34354bef1 by Serhiy Storchaka in branch 'default':
Issue #28439: Remove redundant checks in PyUnicode_EncodeLocale and
https://hg.python.org/cpython/rev/94d34354bef1
History
Date User Action Args
2016-10-23 12:42:54serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-10-23 12:42:18python-devsetnosy: + python-dev
messages: + msg279257
2016-10-21 17:43:18xiang.zhangsetmessages: + msg279143
2016-10-21 15:50:55serhiy.storchakasetmessages: + msg279138
2016-10-21 14:36:19serhiy.storchakasetassignee: serhiy.storchaka
2016-10-16 17:12:21xiang.zhangsetfiles: + issue28349.patch
title: Remove redundant checks in PyUnicode_EncodeLocale -> Remove redundant checks in PyUnicode_EncodeLocale and PyUnicode_DecodeLocaleAndSize
2016-10-16 17:10:24xiang.zhangsetfiles: - PyUnicode_EncodeLocale.patch
2016-10-14 09:28:47xiang.zhangcreate